{ config, lib, pkgs, ... }:

{
  boot.initrd.availableKernelModules = [ "uhci_hcd" "ahci" "sd_mod" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "zroot/root/nixos";
      fsType = "zfs";
    };

  fileSystems."/nix" =
    { device = "zroot/root/nixos/nix";
      fsType = "zfs";
    };

  fileSystems."/home" =
    { device = "dpool/home";
      fsType = "zfs";
    };

  fileSystems."/var/lib/containers" =
    { device = "dpool/containers";
      fsType = "zfs";
    };

  fileSystems."/var/lib/docker" =
    { device = "dpool/docker";
      fsType = "zfs";
    };

  fileSystems."/var/lib/gitlab-runner" =
    { device = "dpool/gitlab-runner";
      fsType = "zfs";
    };

  fileSystems."/data" =
    { device = "dpool/data";
      fsType = "zfs";
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/40125f55-7fe8-4850-902e-b4d6e22f0335";
      fsType = "ext2";
    };

  swapDevices = [ ];

  nix.maxJobs = lib.mkDefault 12;
  powerManagement.cpuFreqGovernor = lib.mkDefault "ondemand";
}
